cpg_pd Struct Reference
Collaboration diagram for cpg_pd:
[legend]

## Data Fields

void * | conn
mar_cpg_name_t | group_name
uint32_t | pid
enum cpd_state | cpd_state
unsigned int | flags
int | initial_totem_conf_sent
uint64_t | transition_counter
uint64_t | initial_transition_counter
struct qb_list_head | list
struct qb_list_head | iteration_instance_list_head
struct qb_list_head | zcb_mapped_list_head

## Detailed Description

Definition at line 145 of file exec/cpg.c.

## Field Documentation

## conn

void* cpg_pd::conn

Definition at line 146 of file exec/cpg.c.

## cpd_state

enum cpd_state cpg_pd::cpd_state

Definition at line 149 of file exec/cpg.c.

## flags

unsigned int cpg_pd::flags

Definition at line 150 of file exec/cpg.c.

## group_name

mar_cpg_name_t cpg_pd::group_name

Definition at line 147 of file exec/cpg.c.

## initial_totem_conf_sent

int cpg_pd::initial_totem_conf_sent

Definition at line 151 of file exec/cpg.c.

## initial_transition_counter

uint64_t cpg_pd::initial_transition_counter

Definition at line 153 of file exec/cpg.c.

## iteration_instance_list_head

struct qb_list_head cpg_pd::iteration_instance_list_head

Definition at line 155 of file exec/cpg.c.

## list

struct qb_list_head cpg_pd::list

Definition at line 154 of file exec/cpg.c.

## pid

uint32_t cpg_pd::pid

Definition at line 148 of file exec/cpg.c.

## transition_counter

uint64_t cpg_pd::transition_counter

Definition at line 152 of file exec/cpg.c.

## zcb_mapped_list_head

struct qb_list_head cpg_pd::zcb_mapped_list_head

Definition at line 156 of file exec/cpg.c.

The documentation for this struct was generated from the following file:

- exec/cpg.c